<?php

namespace Drupal\block_condition_published\Plugin\Condition;

/**
 * Provides a 'Node Published State' condition.
 *
 * @Condition(
 *    id = "node_published_state",
 *    label = @Translation("Node published state"),
 *    context_definitions = {
 *      "node" = @ContextDefinition(
 *        "entity:node",
 *         label = @Translation("Node"),
 *         required = FALSE,
 *       )
 *    }
 *  )
 */
class NodePublishedState extends PublishedStateConditionBase {

  /**
   * {@inheritDoc}
   */
  public static function getEntityTypeId(): string {
    return 'node';
  }

}
