<?php

namespace Drupal\block_condition_published\Plugin\Condition;

/**
 * Provides a 'Term Published State' condition.
 *
 * @Condition(
 *    id = "term_published_state",
 *    label = @Translation("Term published state"),
 *    context_definitions = {
 *      "taxonomy_term" = @ContextDefinition(
 *        "entity:taxonomy_term",
 *         label = @Translation("Term"),
 *         required = FALSE,
 *       )
 *    }
 *  )
 */
class TermPublishedState extends PublishedStateConditionBase {

  /**
   * {@inheritDoc}
   */
  public static function getEntityTypeId(): string {
    return 'taxonomy_term';
  }

}
